:==============================================================================
: MKZIP - Make ZIP file that contains source code. Brian E. Yoder
:
: This file creates a ZIP file that contains the source code and build
: commands for the library and utilities in this directory.
:
: This command stores the list of files to be saved and then runs pkzip
: to create the zipfile.  The current directory is used to store the list
: file and zipfile.
:
: 04/22/91 - Created.
: 04/22/91 - Initial version.
: 05/06/91 - Put source and executables into utildsrc and utildexe zip files.
: 09/10/91 - Change to reflect the latest makefile format.
: 10/17/91 - Add grep.exe to list of executables.
: 11/08/91 - Add *.ini files to list of source.
: 03/26/92 - Add util.lib to list of source files.
: 12/08/92 - Add du.exe to the list of executables.
:==============================================================================
:
@echo off

:------------------------------------------------------------------------------
: Delete old zipfiles if they exist
:------------------------------------------------------------------------------

if exist utildsrc.zip del utildsrc.zip
if exist utildexe.zip del utildexe.zip

:------------------------------------------------------------------------------
: Make lists of files to save
:------------------------------------------------------------------------------

echo Creating the list files...
ls -g makefile *.bat *.c *.h *.txt *.ini util.lib >utildsrc.lst

ls ls.exe cdx.bat cdir.exe chmod.exe ccmt.exe ccp.exe *bm*.exe crc*.exe du.exe grep.exe >utildexe.lst

:------------------------------------------------------------------------------
: Create the zip files
:------------------------------------------------------------------------------

echo Creating the source zip file...
pkzip utildsrc.zip @utildsrc.lst

echo Creating the executable zip file...
pkzip utildexe.zip @utildexe.lst

echo Done.
